<?php


namespace app\cbcrm\controller\admin\sms;


use app\cbcrm\controller\BaseAdmin;
use app\cbcrm\model\admin\sms\ConfigModel;
use think\Request;

class Config extends BaseAdmin
{
    protected $model = null;

    public function __construct(Request $request)
    {
        parent::__construct($request);
        $this->model = new ConfigModel();
    }

    public function getList()
    {
        $list = $this->model->select();
        $data = [];
        foreach ($list as $key => $row) {
            if ($row->config) {
                $row->config = json_decode($row->config,true);
            }else{
                $row->config = [];
            }
            $data[$row['name']] = $row;
        }
        $this->success('返回成功', $data);
    }

    public function save()
    {
        $params = $this->request->post();
        $this->model->where('1=1')->update(['is_default'=>0]);
        $this->model->where('name',$params['engine'])->update(['is_default'=>1]);
        foreach ($params as $key=>$param) {
            if ($key!=='engine') {
                $this->model->where('name',$key)->update(['config'=>json_encode($param,256)]);
            }
        }
        $this->success('保存成功');
    }
}
