<?php


namespace app\cbcrm\controller\admin\sms;


use app\cbcrm\controller\BaseAdmin;
use app\cbcrm\model\admin\sms\PackageModel;
use think\Exception;
use think\facade\Db;
use think\Request;

class Package extends BaseAdmin
{
    protected $model = null;

    public function __construct(Request $request)
    {
        parent::__construct($request);
        $this->model = new PackageModel();
    }

    public function getList()
    {
        $list = $this->model->select();

        $this->success('返回成功',$list);
    }

    public function save()
    {
        $params = $this->request->post();
        Db::startTrans();
        try {
            $this->model->where('1=1')->delete();
            foreach ($params as $param) {
                if (!$param['total_num'] || !$param['price']) {
                    throw new Exception('请填写条数和价格');
                    break;
                }
                (new PackageModel())->save($param);
            }

            Db::commit();
        } catch (Exception $e) {
            Db::rollback();
            $this->error($e->getMessage());
        }
        $this->success('保存成功');
    }
}
