<?php


namespace app\cbcrm\controller\admin\sms;


use app\cbcrm\controller\BaseAdmin;
use app\cbcrm\model\admin\sms\SignModel;
use app\cbcrm\model\config\SettingModel;
use think\facade\Db;
use think\Request;

class Sign extends BaseAdmin
{
    protected $model = null;

    public function __construct(Request $request)
    {
        parent::__construct($request);

        $this->model = new SignModel();
    }

    public function getList()
    {
        $sign = $this->request->get('sign', '', 'strip_tags');
        $audit_status = $this->request->get('audit_status', -1, 'intval');
        $where = [];
        if ($sign) {
            $where[] = ['sign','LIKE',"%{$sign}%"];
        }
        if ($audit_status>-1) {
            $where[] = ['audit_status','=',$audit_status];
        }
       $list = $this->model->where($where)->order('wid','asc')->paginate();

        foreach ($list as $row) {
            $store =  (new SettingModel())->where('wid',$row->wid)->where('name','IN',['store_name','site_name'])->column('value');
            $row->store = isset($store[0]) && $store[0]?$store[0]:(isset($store[1]) && $store[1]?$store[1]:'');
            $row->user =  Db::table('kt_base_user')->where('id',$row->wid)->value('un');
        }

       $this->success('返回成功',$list);
    }

    public function save()
    {
        $id = $this->request->post('id',0,'intval')?:$this->error('参数错误');
        $audit_status = $this->request->post('audit_status',0,'intval');
        $audit_reamrk = $this->request->post('audit_remark','','strip_tags,htmlspecialchars,htmlentities');

        $row = $this->model->where('id',$id)->find();

        if (!$row) {
            $this->error('要审核的内容不存在');
        }

        $row->audit_status = $audit_status;
        $row->audit_remark = $audit_reamrk;
        $row->save();

        $this->success('审核成功');
    }

    public function del()
    {
        $id = $this->request->post('id',0,'intval')?:$this->error('参数错误');

        $row = $this->model->where('id',$id)->find();

        $row->delete();

        $this->success('删除成功');
    }
}
