<?php


namespace app\cbcrm\controller\admin\sms;


use app\cbcrm\controller\BaseAdmin;
use app\cbcrm\model\admin\sms\ConfigModel;
use app\cbcrm\model\config\SmsTemplateModel;
use think\Request;

class Template extends BaseAdmin
{
    protected $model = null;

    public function __construct(Request $request)
    {
        parent::__construct($request);
        $this->model = new SmsTemplateModel();
    }

    public function getList()
    {

        $list = $this->model->where('wid',0)->paginate();
        $engine = app()->make(ConfigModel::class)->where('is_default',1)->value('name');
        foreach ($list as $item) {
            $item->content = $this->model->getContentText($item->content,$item->variables,$engine);
        }

        $this->success('返回成功',$list);
    }

    public function save()
    {
        $id = $this->request->post('id',0,'intval')?:$this->error('id参数错误');
        $code = $this->request->post('code');
        $row = $this->model->where('id',$id)->find();
        if (!$row) {
            $this->error('要修改的数据不存在');
        }
        $row->code = $code;
        $row->save();
        $this->success('修改成功');
    }
}
