<?php


namespace app\cbcrm\controller\admin\store;


use app\cbcrm\controller\BaseAdmin;
use app\cbcrm\model\admin\store\ConfigModel;
use app\cbcrm\model\admin\store\StoreModel;
use think\Exception;
use think\facade\Db;
use think\Request;

class Store extends BaseAdmin
{
    protected $model = null;

    public function __construct(Request $request)
    {
        parent::__construct($request);
        $this->model = new StoreModel();

    }

    public function index()
    {
        $params = [];
        $params['name'] = $this->request->get('name');
        $params['start_at'] = $this->request->get('start_at');
        $params['end_at'] = $this->request->get('end_at');
        $params['cascader'] = $this->request->get('cascader/a');
        $list = $this->model->getList($params);
        foreach ($list as $row) {
            $row->user =  Db::table('kt_base_user')->where('id',$row->wid)->value('un');
        }

        $this->success('返回成功', $list);
    }

    public function setting()
    {
        $wid = $this->request->post('wid', 0, 'intval') ?: $this->error('商户id参数错误');
        $is_default = $this->request->post('is_default', 0, 'intval');
        $cascader = $this->request->post('cascader/a');
        $province = null;
        $city = null;
        if (isset($cascader[0]) && $cascader[0]) {
            $province = $cascader[0];
        };
        if (isset($cascader[1]) && $cascader[1]) {
            $city = $cascader[1];
        };
        $row = (new ConfigModel())->where('wid', $wid)->find();
        Db::startTrans();
        try {
            if ($is_default == 1) {
                // 其他全部设置为非主站
                (new ConfigModel())->where('1=1')->update(['is_default'=>0]);
            }
            if ($row) {
                $result = $row->save(['is_default' => $is_default, 'province' => $province, 'city' => $city]);
            } else {
                $result = (new ConfigModel())->save(['wid' => $wid, 'is_default' => $is_default, 'province' => $province, 'city' => $city]);
            }
            Db::commit();
        }catch (Exception $e){
            Db::rollback();
            $this->error($e->getMessage());
        }
        if ($result) {
            $this->success('设置成功');
        }else{
            $this->error('设置失败');
        }
    }
}
