<?php


namespace app\cbcrm\model\admin\sms;

use think\Model;

class SignModel extends Model
{
    protected $table = 'cb_crm_sms_sign';

    protected $append = [
        'type_text',
        'file_preview',
        'license_preview',
        'id_card_front_preview',
        'id_card_back_preview',
        'letter_preview',
    ];

    public function getTypeList(){
        $typeList = [
            'company'=>'公司名全称或简称:须提供营业执照截图',
            'app'=>'APP名全称或简称: 须提供任一应用商店的 下载链接与该应用商店的后台管理截图',
            'site'=>'工信部备案的网站名全称或简称:提供域名备案服务商的后台备案截图',
            'mp'=>'公众号或小程序名全称或简称:须提供公众号(小程序) 微信开放平台截图',
            'tm'=>'商标全称或简称:须提供商标注册证书截图',
            'other'=>'其他',
        ];
        return $typeList;
    }

    public function getTypeTextAttr($value,$data){
        $typeList = $this->getTypeList();
        return isset($typeList[$data['type']])?$typeList[$data['type']]:'';
    }

    public function getFilePreviewAttr($value,$data){
        return $data['file']?cdnurl($data['file']):$data['file'];
    }

    public function getLicensePreviewAttr($value,$data){
        return $data['license']?cdnurl($data['license']):$data['license'];
    }
    public function getIdCardFrontPreviewAttr($value,$data){
        return $data['id_card_front']?cdnurl($data['id_card_front']):$data['id_card_front'];
    }
    public function getIdCardBackPreviewAttr($value,$data){
        return $data['id_card_back']?cdnurl($data['id_card_back']):$data['id_card_back'];
    }
    public function getLetterPreviewAttr($value,$data){
        return $data['letter']?cdnurl($data['letter']):$data['letter'];
    }
}
