<?php
/**
 * 管理后台
 */

use think\facade\Route;

Route::group('admin', function () {
    Route::any('/user/info', 'admin.index/getUserInfo'); //用户信息

    // 商户列表
    Route::group('store',function (){
        Route::get('/list','admin.store.Store/index');
        Route::post('/setting','admin.store.Store/setting');
    });

    // 权限菜单
    Route::group('menu',function (){
        Route::get('/list','admin.Menu/index');
        Route::post('/add','admin.Menu/add');
        Route::post('/edit','admin.Menu/edit');
        Route::get('/get_tree','admin.Menu/getTree');
    });

    // 会员列表
    Route::group('member',function (){
        Route::get('/list','admin.member.Member/index');
    });

    // 网站管理
    Route::group('site',function (){
        Route::get('/menu/list','admin.site.Menu/index');
        Route::post('/menu/add','admin.site.Menu/add');
        Route::post('/menu/edit','admin.site.Menu/edit');

        Route::get('/friendlink/list','admin.site.FriendLink/index');
        Route::post('/friendlink/add','admin.site.FriendLink/add');
        Route::post('/friendlink/edit','admin.site.FriendLink/edit');
        Route::post('/menu/edit','admin.site.Menu/edit');

        Route::get('/block/list','admin.site.Block/index');
        Route::post('/block/add','admin.site.Block/add');
        Route::post('/block/edit','admin.site.Block/edit');
        Route::post('/block/del','admin.site.Block/del');

        Route::get('/config/get_config','admin.site.Config/getConfig');
        Route::post('/config/save_config','admin.site.Config/saveConfig');
    });

    // 短信设置
    Route::group('sms',function (){
        // 短信接口
        Route::get('/config/list','admin.sms.Config/getList');
        Route::post('/config/save','admin.sms.Config/save');
        // 短信模板
        Route::get('/template/list','admin.sms.Template/getList');
        Route::post('/template/save','admin.sms.Template/save');
        // 短信签名
        Route::get('/sign/list','admin.sms.Sign/getList');
        Route::post('/sign/save','admin.sms.Sign/save');
        Route::post('/sign/del','admin.sms.Sign/del');
        // 短信套餐
        Route::get('/package/list','admin.sms.Package/getList');
        Route::post('/package/save','admin.sms.Package/save');
    });



})->middleware(app\cbcrm\middleware\admincheck::class);

Route::post('admin/user/login', 'admin.index/login');// 登录
