<?php

use think\facade\Route;

/**
 * PC网站接口路由
 * */

Route::any('/index','site.index/index');

Route::get('/product/index','site.product/index');
Route::get('/product/detail','site.product/detail');

Route::post('/product/order','site.product/order')
    ->middleware(app\cbcrm\middleware\membercheck::class);
Route::post('/product/createOrder','site.product/createOrder')
    ->middleware(app\cbcrm\middleware\membercheck::class);
Route::post('/product/payOrder','site.product/payOrder')
    ->middleware(app\cbcrm\middleware\membercheck::class);

Route::get('/news/index','site.news/index');
Route::get('/news/detail','site.news/detail');
Route::get('/news/channel','site.news/channel');

Route::get('/notice/index','site.notice/index');
Route::get('/notice/detail','site.notice/detail');

Route::get('/trademark/index','site.trademark/index');
Route::get('/trademark/service_detail','site.trademark/service_detail');
Route::get('/trademark/service_order','site.trademark/service_order')->middleware(app\cbcrm\middleware\membercheck::class);
Route::post('/trademark/service_pay','site.trademark/service_pay')->middleware(app\cbcrm\middleware\membercheck::class);
Route::any('/trademark/order','site.trademark/order');
Route::any('/trademark/pay','site.trademark/pay')->middleware(app\cbcrm\middleware\membercheck::class);
Route::any('/trademark/search','site.trademark/search');
Route::any('/trademark/search_details','site.trademark/search_details');
Route::any('/trademark/company_detail','site.trademark/company_detail');

Route::get('/logo/index','site.logo/index');
Route::post('/logo/order','site.logo/order');
Route::post('/logo/pay','site.logo/pay');

Route::get('/copyright/index','site.copyright/index');
Route::get('/copyright/detail','site.copyright/detail');
Route::post('/copyright/order','site.copyright/order');
Route::post('/copyright/pay','site.copyright/pay');

Route::group('page',function (){
    Route::get('/accounting_proxy','site.page/accounting_proxy');
    Route::get('/company','site.page/company');
    Route::get('/tax_plan','site.page/tax_plan');
    Route::get('/company_audit','site.page/company_audit');
});
Route::get('/area','site.page/area');
Route::any('/login','site.user/login');
Route::any('/register','site.user/register');

Route::get('captcha/[:config]','\\think\\captcha\\CaptchaController@index');

//前台商标交易库
Route::group('trade',function (){
    Route::get('trademark/index','site.tmTradeLib/index');
    Route::get('trademark/detail','site.tmTradeLib/detail');
    Route::get('trademark/order','site.tmTradeLib/order')->middleware(app\cbcrm\middleware\membercheck::class);
    Route::post('trademark/pay','site.tmTradeLib/pay')->middleware(app\cbcrm\middleware\membercheck::class);
    Route::post('trademark/pay_balance','site.tmTradeLib/pay_balance')->middleware(app\cbcrm\middleware\membercheck::class);
});

// 会员中心
Route::group('member',function (){

    Route::get('/index','site.user/index');
    Route::get('/profile','site.user/profile');
    Route::any('/logout','site.user/logout');
    Route::any('/changepwd','site.user/changepwd');
    // 订单列表
    Route::get('/order/index','site.userOrder/index');
    Route::get('/order/detail','site.userOrder/detail');
    // 商标知产
    Route::get('/tm/order/index','site.tmOrder/index');
    Route::get('/tm/order/detail','site.tmOrder/detail');
    Route::post('/tm/order/del','site.tmOrder/del');
    // 商标服务
    Route::get('/tm/order/service','site.tmOrder/service');
    Route::post('/tm/order/service_del','site.tmOrder/service_del');
    Route::get('/tm/order/service_detail','site.tmOrder/service_detail');
    Route::post('/tm/order/service_pay','site.tmOrder/service_pay');
    // 商标发文
    Route::get('/tm/file/index','site.tmFile/index');
    Route::any('/tm/file/file_fetches','site.tmFile/file_fetches');
    // 商标申请人
    Route::get('/tm/applyer/index','site.tmApplyer/index');
    Route::any('/tm/applyer/add','site.tmApplyer/add');
    Route::any('/tm/applyer/edit','site.tmApplyer/edit');
    // 商标交易
    Route::get('/tm/trade/index','site.tmTradeOrder/index');
    Route::get('/tm/trade/detail','site.tmTradeOrder/detail');
    // 版权登记
    Route::get('/copyright/order','site.copyrightOrder/index');
    Route::get('/copyright/order_detail','site.copyrightOrder/detail');
    Route::post('/copyright/order_del','site.copyrightOrder/del');
    Route::get('/copyright/opus_material','site.copyrightOrder/opus_material');
    Route::any('/copyright/software_material','site.copyrightOrder/software_material');
    Route::any('/copyright/opus_material','site.copyrightOrder/opus_material');
    Route::any('/logo/order','site.LogoOrder/index');
    Route::any('/logo/order_detail','site.LogoOrder/detail');
    Route::any('/logo/order_del','site.LogoOrder/del');

    Route::get('/coupon/index','site.userCoupon/index');
    Route::get('/coupon/user','site.userCoupon/user');

})->middleware(app\cbcrm\middleware\membercheck::class);
