CREATE TABLE `cb_crm_sms_config`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(36) NOT NULL COMMENT '平台标识',
  `title` varchar(36) NOT NULL COMMENT '平台名称',
  `website` varchar(255) COMMENT '申请地址',
  `config` varchar(4000) COMMENT '配置信息',
  `is_default` tinyint(1) NOT NULL COMMENT '默认平台:0=否,1=是',
  `create_time` datetime(0),
  `update_time` datetime(0),
  PRIMARY KEY (`id`)
) COMMENT = '平台短信配置';
INSERT INTO `cb_crm_sms_config`(`id`, `name`, `title`, `website`, `config`, `is_default`, `create_time`, `update_time`) VALUES (1, 'zthysms', '助通融合云通信', 'https://www.zthysms.com', '{\"username\":\"\",\"password\":\"\",\"signature\":\"\"}', 0, '2023-11-28 14:28:45', '2023-11-28 14:28:47');
INSERT INTO `cb_crm_sms_config`(`id`, `name`, `title`, `website`, `config`, `is_default`, `create_time`, `update_time`) VALUES (2, 'yuntongxun', '容联云', 'https://www.yuntongxun.com', '{\"account_sid\":\"\",\"account_token\":\"\",\"app_id\":\"\",\"is_sub_account\":0}', 1, '2023-11-28 14:29:45', '2023-11-28 14:29:47');
INSERT INTO `cb_crm_sms_config`(`id`, `name`, `title`, `website`, `config`, `is_default`, `create_time`, `update_time`) VALUES (3, 'qcloud', '腾讯云短信', 'https://console.cloud.tencent.com/smsv2/app-manage', '{\"AppID\":\"\",\"AppKey\":\"\",\"sign\":\"\"}', 0, '2023-11-28 14:29:45', '2023-11-28 14:29:47');
INSERT INTO `cb_crm_sms_config`(`id`, `name`, `title`, `website`, `config`, `is_default`, `create_time`, `update_time`) VALUES (4, 'aliyun', '阿里云短信', 'https://dysms.console.aliyun.com/dysms.htm', '{\"AccessKeyId\":\"\",\"AccessKeySecret\":\"\",\"sign\":\"\"}', 0, '2023-11-28 14:29:45', '2023-11-28 14:29:47');
CREATE TABLE `cb_crm_sms_sign`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `wid` int(11) NOT NULL COMMENT '账户ID',
  `sign` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '签名内容',
  `type` enum('company','app','site','mp','tm','other') CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT 'company' COMMENT '签名类型:company=公司名称,app=APP名称,site=网站,mp=公众号,tm=商标,other=其他',
  `license` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '营业执照',
  `lagal_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '法人姓名',
  `id_card` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '身份证号',
  `id_card_front` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '身份证正面扫描件',
  `id_card_back` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '身份证反面扫描件',
  `letter` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '授权委托书',
  `tel` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '联系电话',
  `file` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '签名备注材料',
  `remark` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '签名申请备注',
  `audit_status` tinyint(1) NOT NULL DEFAULT 0 COMMENT '审核状态:0=待审核,1=审核通过,2=审核不通过',
  `audit_remark` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '审核备注',
  `is_default` tinyint(1) NOT NULL DEFAULT 0 COMMENT '是否使用:0=否,1=是',
  `create_time` datetime(0) NOT NULL COMMENT '创建时间',
  `update_time` datetime(0) NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `wid`(`wid`) USING BTREE,
  INDEX `id_default`(`is_default`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '短信签名' ROW_FORMAT = Dynamic;

CREATE TABLE `cb_crm_sms_package`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `total_num` int(11) NOT NULL DEFAULT 0 COMMENT '短信条数',
  `price` decimal(10, 2) NOT NULL DEFAULT 0.00 COMMENT '价格',
  PRIMARY KEY (`id`)
) COMMENT = '短信套餐';

ALTER TABLE `cb_crm_store_config` 
ADD COLUMN `sms_total` int(10) DEFAULT 0 COMMENT '短信条数';
ALTER TABLE `cb_crm_store_config` 
ADD COLUMN `accept_phone` varchar(255) COMMENT '后台通知接收手机号' AFTER `sms_total`;

CREATE TABLE `cb_crm_sms_recharge`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `wid` int(11) NOT NULL COMMENT '账户ID',
  `order_no` varchar(255) DEFAULT NULL COMMENT '订单号',
  `type` tinyint(1) NOT NULL DEFAULT 0 COMMENT '充值方式:0=用户购买,1=后台购买',
  `recharge_num` int(11) NOT NULL DEFAULT 0 COMMENT '充值条数',
  `price` decimal(10, 2) NOT NULL DEFAULT 0 COMMENT '充值金额',
  `status` tinyint(1) NOT NULL DEFAULT 0 COMMENT '支付状态:0=未支付,1=已支付',
  `pay_time` datetime(0) COMMENT '支付时间',
  `create_time` datetime(0) NOT NULL COMMENT '充值时间',
  `update_time` datetime(0) NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) COMMENT = '短信充值记录';

ALTER TABLE `cb_crm_sms_recharge` 
ADD INDEX `wid`(`wid`) USING BTREE,
ADD INDEX `order`(`order_no`) USING BTREE;

UPDATE `cb_crm_menu` SET `menu_type` = 1, `name` = '短信设置', `path` = '/sms', `action_mark` = '', `parent_id` = 11, `sort` = 0, `status` = 1, `create_time` = '2023-08-22 15:02:53', `update_time` = '2023-12-01 15:35:15' WHERE `id` = 85;
INSERT INTO `cb_crm_menu`(`id`, `menu_type`, `name`, `path`, `action_mark`, `parent_id`, `sort`, `status`, `create_time`, `update_time`) VALUES (231, 1, '短信通道', '/setting/sms/channel', '', 85, 0, 1, '2023-12-01 15:36:13', '2023-12-01 15:36:13');
INSERT INTO `cb_crm_menu`(`id`, `menu_type`, `name`, `path`, `action_mark`, `parent_id`, `sort`, `status`, `create_time`, `update_time`) VALUES (232, 1, '自配接口', '/setting/sms/sms', '', 85, 0, 1, '2023-12-01 15:36:44', '2023-12-01 15:36:44');
INSERT INTO `cb_crm_menu`(`id`, `menu_type`, `name`, `path`, `action_mark`, `parent_id`, `sort`, `status`, `create_time`, `update_time`) VALUES (233, 1, '平台接口', '/setting/sms/platform', '', 85, 0, 1, '2023-12-01 15:37:01', '2023-12-01 15:37:01');
UPDATE `cb_crm_menu` SET `menu_type` = 2, `name` = '短信模板编辑', `path` = '-', `action_mark` = 'edit', `parent_id` = 232, `sort` = 0, `status` = 1, `create_time` = '2023-09-22 09:59:24', `update_time` = '2023-12-01 15:37:43' WHERE `id` = 210;
INSERT INTO `cb_crm_menu`(`id`, `menu_type`, `name`, `path`, `action_mark`, `parent_id`, `sort`, `status`, `create_time`, `update_time`) VALUES (234, 2, '申请签名', '-', 'add', 233, 0, 1, '2023-12-01 15:41:42', '2023-12-01 15:41:42');
INSERT INTO `cb_crm_menu`(`id`, `menu_type`, `name`, `path`, `action_mark`, `parent_id`, `sort`, `status`, `create_time`, `update_time`) VALUES (235, 2, '删除签名', '-', 'del', 233, 0, 1, '2023-12-01 15:41:58', '2023-12-01 15:41:58');

UPDATE `cb_crm_site_menu` SET `wid` = 0, `name` = '产品中心', `url` = '/home/product/index', `sort` = 1, `status` = 1, `create_time` = '2023-06-20 15:12:23', `update_time` = '2023-06-20 15:32:25' WHERE `id` = 1;
UPDATE `cb_crm_site_menu` SET `wid` = 0, `name` = '资讯中心', `url` = '/home/news/index', `sort` = 0, `status` = 1, `create_time` = '2023-06-20 15:36:23', `update_time` = '2023-06-20 15:36:23' WHERE `id` = 2;
UPDATE `cb_crm_site_menu` SET `wid` = 0, `name` = '商标注册', `url` = '/home/trademark/index', `sort` = 0, `status` = 1, `create_time` = '2023-06-28 09:26:40', `update_time` = '2023-06-28 09:26:47' WHERE `id` = 3;
UPDATE `cb_crm_site_menu` SET `wid` = 0, `name` = '版权登记', `url` = '/home/copyright/index', `sort` = 0, `status` = 1, `create_time` = '2023-06-28 09:50:16', `update_time` = '2023-06-28 09:50:16' WHERE `id` = 4;
UPDATE `cb_crm_site_menu` SET `wid` = 0, `name` = '代理记账', `url` = '/home/page/accounting_proxy', `sort` = 0, `status` = 1, `create_time` = '2023-06-28 10:48:05', `update_time` = '2023-06-28 10:48:05' WHERE `id` = 5;
UPDATE `cb_crm_site_menu` SET `wid` = 0, `name` = '公司注册', `url` = '/home/page/company', `sort` = 0, `status` = 1, `create_time` = '2023-06-28 11:44:38', `update_time` = '2023-06-28 11:44:38' WHERE `id` = 6;
UPDATE `cb_crm_site_menu` SET `wid` = 0, `name` = '税收筹划', `url` = '/home/page/tax_plan', `sort` = 0, `status` = 1, `create_time` = '2023-06-28 14:24:09', `update_time` = '2023-08-16 15:45:01' WHERE `id` = 7;
UPDATE `cb_crm_site_menu` SET `wid` = 0, `name` = '公司审计', `url` = '/home/page/company_audit', `sort` = 0, `status` = 1, `create_time` = '2023-06-28 14:27:08', `update_time` = '2023-06-28 14:27:08' WHERE `id` = 8;
UPDATE `cb_crm_site_menu` SET `wid` = 0, `name` = '商标交易', `url` = '/home/trade/trademark/index', `sort` = 0, `status` = 1, `create_time` = '2023-06-28 09:26:40', `update_time` = '2023-06-28 09:26:40' WHERE `id` = 9;

UPDATE `cb_crm_site_menu` SET `url` = '/home/product/index' WHERE `url` = '/cbcrm/product/index';
UPDATE `cb_crm_site_menu` SET `url` = '/home/news/index' WHERE `url` = '/cbcrm/news/index';
UPDATE `cb_crm_site_menu` SET `url` = '/home/trademark/index' WHERE `url` = '/cbcrm/trademark/index';
UPDATE `cb_crm_site_menu` SET `url` = '/home/copyright/index' WHERE `url` = '/cbcrm/copyright/index';
UPDATE `cb_crm_site_menu` SET `url` = '/home/page/accounting_proxy' WHERE `url` = '/cbcrm/page/accounting_proxy';
UPDATE `cb_crm_site_menu` SET `url` = '/home/page/company' WHERE `url` = '/cbcrm/page/company';
UPDATE `cb_crm_site_menu` SET `url` = '/home/page/tax_plan' WHERE `url` = '/cbcrm/page/tax_plan';
UPDATE `cb_crm_site_menu` SET `url` = '/home/page/company_audit' WHERE `url` = '/cbcrm/page/company_audit';
UPDATE `cb_crm_site_menu` SET `url` = '/home/trade/trademark/index' WHERE `url` = '/cbcrm/trade/trademark/index';